package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 优惠券使用状态枚举
 * @Author 纪寒
 * @Date 2023-02-24 10:48:54
 * @Version 1.0
 */
@Getter
public enum CouponUseStatusEnum {

    /**
     * 待领取
     */
    WAIT_RECEIVE("WAIT_RECEIVE"),

    /**
     * 未使用
     */
    NOT_USED("NOT_USED"),

    /**
     * 已使用
     */
    USED("USED"),

    /**
     * 已过期
     */
    EXPIRED("EXPIRED"),
    ;

    final private String info;

    CouponUseStatusEnum(String info) {
        this.info = info;
    }
}
